package com.sky.mapper;

import com.sky.entity.Orders;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface OrderMapper {
    /**
     * 向订单中插入1条数据
     *
     * @param orders Orders
     */
    void insert(Orders orders);

    /**
     * 根据订单号查询订单
     *
     * @param orderNumber String
     */
    Orders getByNumber(String orderNumber);

    /**
     * 修改订单信息
     *
     * @param orders Orders
     */
    void update(Orders orders);

    /**
     * 根据订单状态和下单时间查询订单状态
     *
     * @param status    Integer
     * @param orderTime LocalDateTime
     * @return List<Orders>
     */
    List<Orders> getByStatusAndOrderTime(Integer status, LocalDateTime orderTime);
}
